#Note: This *only* initializes the database - only use build script in a fresh environment, it'll nuke existing mysql database
#initialize redis database as gitlab user
redis-running:
  service.running:
    - name: redis
    - enable: true
gitlab_init_db:
  cmd.run:
    - name: "bundle-2.3 exec rake gitlab:setup RAILS_ENV=production force=yes"
    - cwd: "/usr/share/webapps/gitlab"
    - runas: gitlab

#start services
gitlab.target:
  service.running:
    - enable: true
    - reload: true
gitlab-workhorse:
  service.running:
    - enable: true
    - reload: true
gitlab-unicorn:
  service.running:
    - enable: true
    - reload: true
gitlab-sidekiq:
  service.running:
    - enable: true
    - reload: true
