
{%- set states = salt['cp.list_states'](saltenv) -%}
{%- set envs = ['prod','dev'] -%}
{% for env in envs %}
{{ env }}:
  'os:(RedHat|CentOS)':
    - match: grain_pcre
    - repos.epel
  'os:(Arch|Manjaro)':
    - match: grain_pcre
    - repos.aur
    - systems.arch.mirrors
  '*':
    - update
    - basepkgs
    - roles
    - systems.core.firewalld
    - systems.core.mount
    - systems.core.git
    - systems.core.backup
{%- if grains['roles'] is defined -%}
  {%- if grains['roles'] is not none -%}
    {%- for role in grains['roles'] %}
      {%- if 'roles.maintain.'+role in states %}
    - roles.maintain.{{role}}
      {%- endif -%}
    {%- endfor -%}
  {%- endif -%}
{%- endif -%}
{%- endfor -%}
